class iaas::profile::neutron::client (
  $data_interface = hiera('iaas::data_interface', undef),
) {
  include iaas::profile::neutron::common

  class { '::neutron::agents::ml2::ovs':
    enable_tunneling => true,
    local_ip         => $::facts["ipaddress_${data_interface}"],
    enabled          => true,
    tunnel_types     => ['gre'],
    require => File['etc_default_neutron-server'],
  }
}
